export declare function renderToString<T>(fn: () => T, options?: {
    nonce?: string;
    renderId?: string;
}): string;
export declare function renderToStringAsync<T>(fn: () => T, options?: {
    timeoutMs?: number;
    nonce?: string;
    renderId?: string;
}): Promise<string>;
export declare function renderToStream<T>(fn: () => T, options?: {
    nonce?: string;
    renderId?: string;
    onCompleteShell?: () => void;
    onCompleteAll?: () => void;
}): {
    pipe: (writable: {
        write: (v: string) => void;
    }) => void;
    pipeTo: (writable: WritableStream) => void;
};
export declare function ssr(template: string[] | string, ...nodes: any[]): {
    t: string;
};
export declare function resolveSSRNode(node: any): string;
export declare function ssrClassList(value: {
    [k: string]: boolean;
}): string;
export declare function ssrStyle(value: {
    [k: string]: string;
}): string;
export declare function ssrSpread(accessor: any): () => string;
export declare function ssrBoolean(key: string, value: boolean): string;
export declare function ssrHydrationKey(): string;
export declare function escape(html: string): string;
export declare function generateHydrationScript(): string;
export declare type LegacyResults = {
    startWriting: () => void;
};
/**
 * @deprecated Replaced by renderToStream
 */
export declare function pipeToWritable<T>(fn: () => T, writable: WritableStream, options?: {
    nonce?: string;
    onReady?: (res: LegacyResults) => void;
    onCompleteAll?: () => void;
}): void;
/**
 * @deprecated Replaced by renderToStream
 */
export declare function pipeToNodeWritable<T>(fn: () => T, writable: {
    write: (v: string) => void;
}, options?: {
    nonce?: string;
    onReady?: (res: LegacyResults) => void;
    onCompleteAll?: () => void;
}): void;
